<?php
// 先に server_check.php を読み込む
function DBopen() {
	switch(SERVER_CHECK){
		case 1:
			// 本番環境
			$DBserver = 'mysql620.db.sakura.ne.jp';
			$DBuser = 'tanzo';
			$DBpass = 'QepUEPZujCs_8';
			$DBname = 'tanzo_fit';
			break;
		case 2:
			// ローカル
			$DBserver = 'localhost';
			$DBuser = 'root';
			$DBpass = '';
			$DBname = 'tanzo';
			break;
		default:
			// 開発環境
			$DBserver = 'mysql713.db.sakura.ne.jp';
			$DBuser = 'apteq2';
			$DBpass = 'pz4ugawp4u';
			$DBname = 'apteq2_tanzo';
			break;
	}

	$options = array(
		PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION, // エラー発生時に例外を投げる
		PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC, // fetchのデフォルトを設定
		PDO::ATTR_EMULATE_PREPARES => false, // クエリのエミュレーションを無効化
	);

	$pdo = new PDO ( "mysql:host=$DBserver;dbname=$DBname;charset=utf8mb4", "$DBuser", "$DBpass", $options );
	return $pdo;
}
